#ifndef EDAPI_COMMANDER_H
#define EDAPI_COMMANDER_H

#include <edapi/journal/entry.h>
#include <edapi/error.h>

#include <glib.h>
#include <glib-object.h>

G_BEGIN_DECLS

G_DECLARE_FINAL_TYPE(EDCommander, ed_commander, ED, COMMANDER, GObject);

#define ED_TYPE_COMMANDER ed_commander_get_type()

EDCommander *ed_commander_new(void);

EDCommander *ed_commander_new_from_entry(EDJournalEntry *entry);

gchar const *ed_commander_get_name(EDCommander *self);
gchar const *ed_commander_get_fid(EDCommander *self);

G_END_DECLS

#endif
